7.3. Przeskalowywanie filmów
Poprzedni | Rozdział 7. Kodowanie z MEncoderem | Następny

## 7.3. Przeskalowywanie filmów

Najczęściej potrzeba zmiany wielkości obrazu jest nagła. Jej powodów może być wiele: zmniejszenie rozmiaru pliku, przepustowość sieci, itd. Wiekszość ludzi stosuje skalowanie przy konwertowaniu DVD lub SVCD do DivXa (AVI). To jest złe rozwiązanie. Zamiast tak robić, przeczytaj sekcje Zachowywanie proporcji obrazu.

Proces skalowania obsługiwany jest przez filtr video `scale` `-vf scale=`szerokość`:`wysokość``. Jego jakość może być ustawiona parametrem `-sws`. Jeśli nie jest on podany MEncoder użyje wartości 0: szybki bilinearny.

Przykład:

    mencoder wejscie.mpg -ovc lavc -lavcopts vcodec=mpeg4
    -vf scale=640:480-o wyjscie.avi

Poprzedni | Początek rozdziału | Następny
7.2. Kodowanie do formatu MPEG | Spis treści | 7.4. Kopiowanie strumienia